<?php
namespace Ak\Wp\Core;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class TranslationLoaderFactory
 *
 * @package Ak\Wp\Core
 */
final class TranslationLoaderFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return object
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $cache = $container->get('cache.translations');
        return new TranslationLoader($cache);
    }
}
