<?php
namespace Ak\Wp\Init;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;
use wpdb;

/**
 * Class Database
 *
 * @package Ak\Wp\Init
 */
final class Database implements MiddlewareInterface
{
    /**
     * Process an incoming server request and return a response, optionally delegating
     * response creation to a handler.
     *
     * @param ServerRequestInterface $request
     * @param RequestHandlerInterface $handler
     * @return ResponseInterface
     */
    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface
    {
        $GLOBALS['wpdb'] = $wpdb = new wpdb(DB_USER, DB_PASSWORD, DB_NAME, DB_HOST);

        $GLOBALS['table_prefix'] = 'wp_';
        wp_set_wpdb_vars();

        return $handler->handle($request);
    }
}