<?php
namespace Ak\Wp\Plugin;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Kreira novu instancu plugin loadera.
 *
 * @package Ak\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-core
 */
final class PluginLoaderFactory implements FactoryInterface
{
    /**
     * Kreira instancu.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return PluginLoader
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $pluginManager = $container->get('wp.plugins');
        $config = $container->get('config');

        return new PluginLoader($pluginManager, $config['wp'] ?? []);
    }
}
