<?php
namespace Ak\Wp\Service;

use Psr\Container\ContainerInterface;
use Laminas\ServiceManager\ServiceManager;

/**
 * Class ContainerFactory
 *
 * @package Ak\Wp\Service
 */
final class ContainerFactory
{
    /**
     * @param array $config
     * @return ContainerInterface
     */
    public function __invoke(array $config): ContainerInterface
    {
        $container = new ServiceManager($config['dependencies'] ?? []);
        $container->setService('config', $config);

        return $container;
    }
}
