<?php
namespace Ak\Wp\Shortcode;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class CacheableShortcodeFactory
 *
 * @package Ak\Wp\Shortcode
 */
final class CacheableShortcodeWrapperFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     * @return object
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        if (shortcode_exists($requestedName)) {
            global $shortcode_tags;

            $cache = $container->get('cache.shortcodes');
            return new CacheableShortcodeWrapper($cache, $shortcode_tags[$requestedName]);
        }

        return new DummyShortcode();
    }
}
