<?php
namespace Ak\Wp\Shortcode;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Kreira novu instancu shortcode loadera.
 *
 * @package Ak\Wp\Shortcode
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-shortcode
 */
final class ShortcodeLoaderFactory implements FactoryInterface
{
    /**
     * Kreira instancu.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return ShortcodeLoader
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $config = $container->get('config')['wp'] ?? [];
        $shortcodes = $container->get(ShortcodePluginManager::class);

        return new ShortcodeLoader($config['shortcodes'] ?? [], $shortcodes);
    }
}
